{% extends 'base.html' %}
{% load static %}
{% load humanize %}
{% block content %}
{% spaceless %}
<div class="lesson">
  <div class="lesson-head" style="background-image: url({{ course.cover.url }});">
    <div class="cover">
      <div class="info">
        <h1>{{ course.title }}</h1>
        <div class="info-number">{{lessons|length}} урок</div>
        {# <h5>Описание курса</h5> #}
        <p>Дата добавления: {{ course.date_add|naturalday }}</p>
        <p>{{ course.description }}</p>
      </div>
      <div class="data">
        <div></div>
      </div>
    </div>
    <div class="lesson-head-lines">
      <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div> <div class="lesson-head-lines-line"></div>
    </div>
  </div>
  <div class="grid">
      {% for lesson in lessons %}
        <div class="grid-item">
          <a href="{% url 'lesson' course.slug lesson.slug %}">
            <div class="placeholder img" data-large="{{ course.preview.url }}">
              <img src="{{ course.blur.url }}" class="img-small" />
              <div style="padding-bottom: 131.5%;"></div>
            </div>
            <div class="about">
              <time>{{ lesson.date_add|naturalday }}</time>
              <h5>{{ lesson.title }}</h5>
            </div>
          </a>
        </div>
      {% empty %}
        <div class="error">
          <h5>пока уроков нет</h5>
        </div>
      {% endfor %}
  </div>
</div>
{% endspaceless %}
{% endblock content %}
